apache 1.3.28 deinstallieren

Dieses Thema im Forum "Mac Einsteiger und Umsteiger" wurde erstellt von thebook, 04.04.2004.

  1. thebook

    thebook Thread Starter MacUser Mitglied

    Beiträge:
    1
    Zustimmungen:
    0
    MacUser seit:
    28.03.2004
    Moin,

    ich würde gern wissen, wie unter unter os X 10.3 den Vorinstallierten Apache 1.3.28 deinstallieren. Ich habe mir über ein Paket den Apache2 installiert. Nun kommen sich die beiden ab und zu in die Quere. Ich muss den alten Apache stoppen o. gar nicht erst starten. Dann als root ins neue apache Verzeichnis wechseln und ./apachectl start den Server starten.

    Die Pakete habe ich über Serverlogistics.com bezogen.

    Ein Icon wurde in der systemsteuerung hinzugefügt. Dabei entsteht aber der Fehler, dass der falsche Apache gestartet wird ...

    Habt Ihr nen Tip?

    Danke und Gruss - Mark
     
  2. iCe_cUbe

    iCe_cUbe MacUser Mitglied

    Beiträge:
    81
    Zustimmungen:
    0
    MacUser seit:
    03.04.2004
    Den Apahachi 2 hab ich auch.
    Schalt einfach das personal WebSharing aus Systemeinstellungen::Sharing::personalWebSharing OFF

    dann sollte es gehen. den orig. apache hab ich nicht deinstalliert, die beiden kommen sich ned in die Quere die haben jeweils eigen Install-Roots
     
  3. sevY

    sevY Gast

    Und wie bekommt man den 1.3.28 trotzdem weg?
     
  4. Horror

    Horror MacUser Mitglied

    Beiträge:
    1.416
    Zustimmungen:
    9
    MacUser seit:
    03.02.2003
    Du müsstes die Dateien des alten Indianers löschen. Aber die paar MB fallen ja gar nicht so auf ;) Wichtiger ist dass du die Skripte anpasst, die zum Starten und beenden des Apache zuständig sind.

    Das ist einmal das Skript "Apache" unter /System/Library/StartupItems/Apache/

    Dort musst die Pfade entsprechend anpassen, damit sie auf den neuen Apachen zeigen.

    Und als zweites noch das Skript "apachectl" unter /usr/sbin

    Das kannst du durch das Skript aus Pfad zum Apache 2/bin/ finden (zumindest war es bei meinem selbst kompilierten 2.0.50 so ;)) ersetzen. Dann sollte der alte 1.3.x gar nicht mehr zu starten sein ;) Aber denk dran: vorher ein BackUp der alten Skripte machen :)

    Horror

    P.S.: Weiss irgendwer, wie man die Schaltfläche aus Sharing-->Personal Web Sharing mit dem Apache2 "verknüpft"? Sobald man den 1.3.x rausgeschmissen hat, hat diese Funktion keine Wirkung mehr.
     
Die Seite wird geladen...